Skip to main content
GET
/
api
/
accounts
/
{id}
/
auto-recharge
cURL
curl --request GET \
  --url https://api.recoupable.dev/api/accounts/{id}/auto-recharge \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.recoupable.dev/api/accounts/{id}/auto-recharge"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.recoupable.dev/api/accounts/{id}/auto-recharge', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "account_id": "550e8400-e29b-41d4-a716-446655440000",
  "enabled": true
}
{
  "error": "Unauthorized"
}
{
  "error": "Unauthorized"
}
{
  "error": "Unauthorized"
}

Authorizations

x-api-key
string
header
required

Your Recoup API key. Learn more.

Path Parameters

id
string<uuid>
required

The unique identifier (UUID) of the account. Must be the authenticated account or another accessible via organization membership.

Response

Auto top-up setting returned successfully.

account_id
string<uuid>
required

The unique identifier of the account this setting belongs to.

Example:

"550e8400-e29b-41d4-a716-446655440000"

enabled
boolean
required

Whether automatic top-up is enabled. false means the account has opted out and only explicit checkout top-ups can charge it.

Example:

true